slepc-3.21.1 2024-04-26
Report Typos and Errors

# FNRationalGetDenominator

Gets the parameters that define the denominator of the rational function.

### Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNRationalGetDenominator(FN fn,PetscInt *nq,PetscScalar *qcoeff[])

Not Collective

### Input Parameter

| fn | - the math function context

### Output Parameters

| nq | - number of coefficients
| qcoeff | - coefficients (array of scalar values, length nq)

### Notes

The values passed by user with FNRationalSetDenominator() are returned (or a null pointer otherwise). The qcoeff array should be freed by the user when no longer needed.

### See Also

FNRationalSetDenominator()

### Level

intermediate

### Location

src/sys/classes/fn/impls/rational/fnrational.c
Index of all FN routines
Table of Contents for all manual pages
Index of all manual pages